Boost Settings
Get Boost Settings
This method allows to retrieve the currently valid boost settings with a timestamp until which the settings are valid. If there are no currently valid settings, the response values are null.
GET
https://cloud.clemap.com:3032/edgeDevices/{edge_device_id}/evses/{uuid}/boostSettings
Header Parameters
- evsetokenstringrequiredDescription
curl
curl --location --globoff '/edgeDevices/{edge_device_id}/evses/{uuid}/boostSettings' \
--header 'evsetoken: string'nodejs
var request = require('request');
var options = {
'method': 'GET',
'url': '/edgeDevices/{edge_device_id}/evses/{uuid}/boostSettings',
'headers': {
'evsetoken': 'string'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("evsetoken", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("/edgeDevices/{edge_device_id}/evses/{uuid}/boostSettings", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
url = "/edgeDevices/{edge_device_id}/evses/{uuid}/boostSettings"
payload = {}
headers = {
'evsetoken': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "net/http"
url = URI("/edgeDevices/{edge_device_id}/evses/{uuid}/boostSettings")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["evsetoken"] = "string"
response = http.request(request)
puts response.read_body
200
{
"valid_until": "2024-05-30T09:14:47.244362+00:00" | null
}Set Boost Settings
Allows to set a so-called boost period, where the charging station has a higher
priority for a certain duration (in seconds). During such a period, the charging
station is allocated the maximum power with high priority, thus allowing to
charge faster for a period of time.
POST
https://cloud.clemap.com:3032/edgeDevices/{edge_device_id}/evses/{uuid}/boostSettings
Header Parameters
- evsetokenstringrequiredDescription
Body Parameters
- durationIntegerrequiredDescription
curl
curl --location --globoff '/edgeDevices/{edge_device_id}/evses/{uuid}/boostSettings' \
--header 'evsetoken: string' \
--data '{"duration":"Integer"}'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': '/edgeDevices/{edge_device_id}/evses/{uuid}/boostSettings',
'headers': {
'evsetoken': 'string'
},
body: '{"duration":"Integer"}'
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("evsetoken", "string");
var raw = "{\"duration\":\"Integer\"}";
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("/edgeDevices/{edge_device_id}/evses/{uuid}/boostSettings", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
url = "/edgeDevices/{edge_device_id}/evses/{uuid}/boostSettings"
payload = "{\"duration\":\"Integer\"}"
headers = {
'evsetoken': 'string'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "net/http"
url = URI("/edgeDevices/{edge_device_id}/evses/{uuid}/boostSettings")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Post.new(url)
request["evsetoken"] = "string"
request.body = "{\"duration\":\"Integer\"}"
response = http.request(request)
puts response.read_body
201
{
"state": "received",
"duration": 3600
}Reset Boost Settings
This method allows to reset the boost settings. The previous settings
are returned.
DELETE
https://cloud.clemap.com:3032/edgeDevices/{edge_device_id}/evses/{uuid}/boostSettings
Header Parameters
- evsetokenstringrequiredDescription
curl
curl --location --globoff --request DELETE '/edgeDevices/{edge_device_id}/evses/{uuid}/boostSettings' \
--header 'evsetoken: string'nodejs
var request = require('request');
var options = {
'method': 'DELETE',
'url': '/edgeDevices/{edge_device_id}/evses/{uuid}/boostSettings',
'headers': {
'evsetoken': 'string'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
javascript
var myHeaders = new Headers();
myHeaders.append("evsetoken", "string");
var requestOptions = {
method: 'DELETE',
headers: myHeaders,
redirect: 'follow'
};
fetch("/edgeDevices/{edge_device_id}/evses/{uuid}/boostSettings", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
url = "/edgeDevices/{edge_device_id}/evses/{uuid}/boostSettings"
payload = {}
headers = {
'evsetoken': 'string'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "net/http"
url = URI("/edgeDevices/{edge_device_id}/evses/{uuid}/boostSettings")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Delete.new(url)
request["evsetoken"] = "string"
response = http.request(request)
puts response.read_body
200
{
"valid_until": "2024-05-30T09:14:47.244362+00:00" | null
}